Package org.opensaml.saml.saml1.core.impl

# Class AttributeDesignatorImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.AttributeDesignatorImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AttributeDesignator`

Direct Known Subclasses:
  `AttributeImpl`

public class AttributeDesignatorImpl extends AbstractXMLObject implements AttributeDesignator
Concrete Implementation of the `AttributeDesignator` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`attributeName`
Contains the AttributeName.
`private String`
`attributeNamespace`
Contains the AttributeNamespace.

### Fields inherited from interface org.opensaml.saml.saml1.core.AttributeDesignator

`ATTRIBUTENAME_ATTRIB_NAME, ATTRIBUTENAMESPACE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeDesignatorImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeName()`
Get the contents of the AttributeName attribute.
`String`
`getAttributeNamespace()`
Get the contents of the AttributeNamespace attribute.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAttributeName(String name)`
Set the contents of the AttributeName attribute.
`void`
`setAttributeNamespace(String ns)`
Set the contents of the AttributeNamespace attribute.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### attributeName

@Nullable private String attributeName
Contains the AttributeName.

### attributeNamespace

@Nullable private String attributeNamespace
Contains the AttributeNamespace.

## Constructor Details

### AttributeDesignatorImpl

protected AttributeDesignatorImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeName

@Nullable public String getAttributeName()
Get the contents of the AttributeName attribute.

Specified by:
  `getAttributeName` in interface `AttributeDesignator`
Returns:
  the AttributeName attribute

### setAttributeName

public void setAttributeName(@Nullable String name)
Set the contents of the AttributeName attribute.

Specified by:
  `setAttributeName` in interface `AttributeDesignator`
Parameters:
  `name` - value to set

### getAttributeNamespace

@Nullable public String getAttributeNamespace()
Get the contents of the AttributeNamespace attribute.

Specified by:
  `getAttributeNamespace` in interface `AttributeDesignator`
Returns:
  the AttributeNamespace attribute

### setAttributeNamespace

public void setAttributeNamespace(@Nullable String ns)
Set the contents of the AttributeNamespace attribute.

Specified by:
  `setAttributeNamespace` in interface `AttributeDesignator`
Parameters:
  `ns` - value to set

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements